HTMLObjectElement (Java SE 9 & JDK 9 )
Keywords: org.w3c.dom.html.HTMLObjectElement interface

Module jdk.xml.dom
Package org.w3c.dom.html

## Interface HTMLObjectElement

- All Superinterfaces:
    `Element`, `HTMLElement`, `Node`

      public interface HTMLObjectElement
      extends HTMLElement

  Generic embedded object. Note. In principle, all properties on the object element are read-write but in some environments some properties may be read-only once the underlying object is instantiated. See the OBJECT element definition in HTML 4.0.

  See also the Document Object Model (DOM) Level 2 Specification.

  Since:
    1.4, DOM Level 2

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAlign​()` | Aligns this object (vertically or horizontally) with respect to its surrounding text.
    `String` | `getArchive​()` | Space-separated list of archives.
    `String` | `getBorder​()` | Width of border around the object.
    `String` | `getCode​()` | Applet class file.
    `String` | `getCodeBase​()` | Base URI for `classid` , `data` , and `archive` attributes.
    `String` | `getCodeType​()` | Content type for data downloaded via `classid` attribute.
    `Document` | `getContentDocument​()` | The document this object contains, if there is any and it is available, or `null` otherwise.
    `String` | `getData​()` | A URI specifying the location of the object's data.
    `boolean` | `getDeclare​()` | Declare (for future reference), but do not instantiate, this object.
    `HTMLFormElement` | `getForm​()` | Returns the `FORM` element containing this control.
    `String` | `getHeight​()` | Override height.
    `String` | `getHspace​()` | Horizontal space to the left and right of this image, applet, or object.
    `String` | `getName​()` | Form control or object name when submitted with a form.
    `String` | `getStandby​()` | Message to render while loading the object.
    `int` | `getTabIndex​()` | Index that represents the element's position in the tabbing order.
    `String` | `getType​()` | Content type for data downloaded via `data` attribute.
    `String` | `getUseMap​()` | Use client-side image map.
    `String` | `getVspace​()` | Vertical space above and below this image, applet, or object.
    `String` | `getWidth​()` | Override width.
    `void` | `setAlign​(String align)` |
    `void` | `setArchive​(String archive)` |
    `void` | `setBorder​(String border)` |
    `void` | `setCode​(String code)` |
    `void` | `setCodeBase​(String codeBase)` |
    `void` | `setCodeType​(String codeType)` |
    `void` | `setData​(String data)` |
    `void` | `setDeclare​(boolean declare)` |
    `void` | `setHeight​(String height)` |
    `void` | `setHspace​(String hspace)` |
    `void` | `setName​(String name)` |
    `void` | `setStandby​(String standby)` |
    `void` | `setTabIndex​(int tabIndex)` |
    `void` | `setType​(String type)` |
    `void` | `setUseMap​(String useMap)` |
    `void` | `setVspace​(String vspace)` |
    `void` | `setWidth​(String width)` |

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getForm

          HTMLFormElement getForm​()

      Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

    - #### getCode

          String getCode​()

      Applet class file. See the `code` attribute for HTMLAppletElement.

    - #### setCode

          void setCode​(String code)

    - #### getAlign

          String getAlign​()

      Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setAlign

          void setAlign​(String align)

    - #### getArchive

          String getArchive​()

      Space-separated list of archives. See the archive attribute definition in HTML 4.0.

    - #### setArchive

          void setArchive​(String archive)

    - #### getBorder

          String getBorder​()

      Width of border around the object. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setBorder

          void setBorder​(String border)

    - #### getCodeBase

          String getCodeBase​()

      Base URI for `classid` , `data` , and `archive` attributes. See the codebase attribute definition in HTML 4.0.

    - #### setCodeBase

          void setCodeBase​(String codeBase)

    - #### getCodeType

          String getCodeType​()

      Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.0.

    - #### setCodeType

          void setCodeType​(String codeType)

    - #### getData

          String getData​()

      A URI specifying the location of the object's data. See the data attribute definition in HTML 4.0.

    - #### setData

          void setData​(String data)

    - #### getDeclare

          boolean getDeclare​()

      Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.0.

    - #### setDeclare

          void setDeclare​(boolean declare)

    - #### getHeight

          String getHeight​()

      Override height. See the height attribute definition in HTML 4.0.

    - #### setHeight

          void setHeight​(String height)

    - #### getHspace

          String getHspace​()

      Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setHspace

          void setHspace​(String hspace)

    - #### getName

          String getName​()

      Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

    - #### setName

          void setName​(String name)

    - #### getStandby

          String getStandby​()

      Message to render while loading the object. See the standby attribute definition in HTML 4.0.

    - #### setStandby

          void setStandby​(String standby)

    - #### getTabIndex

          int getTabIndex​()

      Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

    - #### setTabIndex

          void setTabIndex​(int tabIndex)

    - #### getType

          String getType​()

      Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.0.

    - #### setType

          void setType​(String type)

    - #### getUseMap

          String getUseMap​()

      Use client-side image map. See the usemap attribute definition in HTML 4.0.

    - #### setUseMap

          void setUseMap​(String useMap)

    - #### getVspace

          String getVspace​()

      Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setVspace

          void setVspace​(String vspace)

    - #### getWidth

          String getWidth​()

      Override width. See the width attribute definition in HTML 4.0.

    - #### setWidth

          void setWidth​(String width)

    - #### getContentDocument

          Document getContentDocument​()

      The document this object contains, if there is any and it is available, or `null` otherwise.
      Since:
        1.4, DOM Level 2